Name:           python-qdrant-client
Version:        1.12.1
Release:        %autorelease
Summary:        Client library for the Qdrant vector search engine

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/qdrant/qdrant-client
Source:         %{pypi_source qdrant_client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qdrant-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qdrant-client
Summary:        %{summary}

%description -n python3-qdrant-client %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-qdrant-client fastembed,fastembed-gpu


%prep
%autosetup -p1 -n qdrant_client-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x fastembed,fastembed-gpu


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-qdrant-client -f %{pyproject_files}


%changelog
%autochangelog